#ifndef _E_COOKIES_H_
#define _E_COOKIES_H_

#include <glib.h>
#include <glib-object.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#define E_TYPE_COOKIES (e_cookies_get_type ())
#define E_COOKIES(obj) (G_TYPE_CHECK_INSTANCE_CAST (obj, E_TYPE_COOKIES, ECookies))
#define E_COOKIES_CLASS(obj) (G_TYPE_CHECK_CLASS_CAST (obj, E_TYPE_COOKIES, ECookiesClass))
#define E_IS_COOKIES(obj) (G_TYPE_CHECK_INSTANCE_TYPE (obj, E_TYPE_COOKIES))
#define E_IS_COOKIES_CLASS(obj) (G_TYPE_CHECK_CLASS_TYPE (obj, E_TYPE_COOKIES))
#define E_COOKIES_GET_CLASS(obj) (G_TYPE_CHECK_GET_CLASS (obj, E_TYPE_COOKIES, ECookiesClass))

  typedef struct _ECookies ECookies;
  typedef struct _ECookiesClass ECookiesClass;

  struct _ECookiesClass {
    GObjectClass parent_class;

    void (* _ecookies_reserved0) (void);
  };

  GType e_cookies_get_type (void);

  ECookies * e_cookies_new (void);

  gboolean e_cookies_add_cookie (ECookies * cookies, const gchar * header,
				 const gchar * hostname, const gchar * path);
  gchar * e_cookies_find_cookies (ECookies * cookies, const gchar * domain,
				  const gchar * path);

  void e_cookies_save_cookies (ECookies * cookies);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* _E_COOKIES_H_ */
